Panda3D

Static Public Member Functions | Static Public Attributes | List of all members
MathNumbers Class Reference

## Static Public Member Functions
static double | cln2 (double)
| Returns ln(2) as a single-precision or double-precision number, according to the type of the parameter. More...
static float | cln2 (float)
| Returns ln(2) as a single-precision or double-precision number, according to the type of the parameter. More...
static double | cpi (double)
| Returns pi as a single-precision or double-precision number, according to the type of the parameter. More...
static float | cpi (float)
| Returns pi as a single-precision or double-precision number, according to the type of the parameter. More...

## Static Public Attributes
static const PN_stdfloat | deg_2_rad = MathNumbers::pi_d / 180.0
static const double | deg_2_rad_d = MathNumbers::pi_d / 180.0
static const float | deg_2_rad_f = MathNumbers::pi_d / 180.0
static const PN_stdfloat | ln2 = log(2.0)
static const double | ln2_d = log(2.0)
static const float | ln2_f = log(2.0)
static const PN_stdfloat | pi = 4.0 * atan(1.0)
static const double | pi_d = 4.0 * atan(1.0)
static const float | pi_f = 4.0 * atan(1.0)
static const PN_stdfloat | rad_2_deg = 180.0 / MathNumbers::pi_d
static const double | rad_2_deg_d = 180.0 / MathNumbers::pi_d
static const float | rad_2_deg_f = 180.0 / MathNumbers::pi_d

## Detailed Description

Definition at line 20 of file mathNumbers.h.

## Member Function Documentation

## ◆ cln2() [1/2]

double MathNumbers::cln2 | ( | double |  | ) |
| inline static

Returns ln(2) as a single-precision or double-precision number, according to the type of the parameter.

Definition at line 45 of file mathNumbers.I.

## ◆ cln2() [2/2]

float MathNumbers::cln2 | ( | float |  | ) |
| inline static

Returns ln(2) as a single-precision or double-precision number, according to the type of the parameter.

Definition at line 27 of file mathNumbers.I.

## ◆ cpi() [1/2]

double MathNumbers::cpi | ( | double |  | ) |
| inline static

Returns pi as a single-precision or double-precision number, according to the type of the parameter.

Definition at line 36 of file mathNumbers.I.

## ◆ cpi() [2/2]

float MathNumbers::cpi | ( | float |  | ) |
| inline static

Returns pi as a single-precision or double-precision number, according to the type of the parameter.

Definition at line 18 of file mathNumbers.I.

The documentation for this class was generated from the following files:

- panda/src/linmath/mathNumbers.h
- panda/src/linmath/mathNumbers.cxx
- panda/src/linmath/mathNumbers.I